<?php

require 'config.php';
$tyu = 'left';
$title = 'Гарем';
aut();
head();
who_add(0, 'enter');

$go = isset($_GET['go']) ? $_GET['go'] : NULL;
switch($go) {
default:
$page = isset($_GET['page']) ? abs(intval($_GET['page'])) : 1;
$start = ($page - 1) * 5;
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `id` = '$user[id]'"), 0);

$all = ceil($all/5);
$all = $all > 5 ? 5 : $all;

$view = mysql_query("SELECT * FROM `garem` WHERE `id` = '$user[id]' ORDER BY `id` DESC LIMIT ".abs(intval($start)).", 5");

if (isset($_GET['delete'])) {
$x = (int)$_GET['x'];
$pr = mysql_query("SELECT * FROM garem WHERE usid = '$x' AND id = '$user[id]'");
 if (mysql_num_rows($pr) == false) {
  echo 'У тебя нет в гареме такого пользователя!<br/>';
 } else {
  mysql_query("DELETE FROM garem WHERE usid = '$x' AND id = '$user[id]'");
  header('Location: garem?ok_del');
 }
}

if (isset($_GET['ok_del'])) {
 echo '<b style="color:green">Пользователь удален из гарема!</b><br/>';
}

if (isset($_GET['ok_buy'])) {
 echo '<b style="color:green">Пользователь добавлен в гарем!</b><br/>';
}

if (isset($_GET['perekup'])) {
 echo '<b style="color:green">Пользователь перекуплен!</b><br/>';
}

if (isset($_GET['set_1'])) {
$u = (int)$_GET['u'];
$my = mysql_fetch_assoc(mysql_query("SELECT best FROM garem WHERE id = '$user[id]'"));
 if ($my['best'] == 1) {
  echo 'У тебя уже есть лучший пользователь!<br/>';
 foot();
 exit();
 }
 $t = mysql_query("SELECT * FROM garem WHERE usid = '$u' AND id = '$user[id]'");
 if (mysql_num_rows($t) == false) {
  echo 'Ошибка!<br/>';
 } else {
 mysql_query("UPDATE garem SET best = '1' WHERE usid = '$u' AND id = '$user[id]'");
 header('Location: garem?');
 }
}

if (isset($_GET['set_0'])) {
$u = (int)$_GET['u'];
$my = mysql_fetch_assoc(mysql_query("SELECT best FROM garem WHERE id = '$user[id]'"));
 if ($my['best'] == 1) {
  echo 'У тебя уже есть лучший пользователь!<br/>';
 foot();
 exit();
 }
 $t = mysql_query("SELECT * FROM garem WHERE usid = '$u' AND id = '$user[id]'");
 if (mysql_num_rows($t) == false) {
 echo 'Ошибка!<br/>';
 } else {
 mysql_query("UPDATE garem SET best = '0' WHERE usid = '$u' AND id = '$user[id]'");
 header('Location: garem?');
 }
}

if (mysql_affected_rows() != false) {
 while($a = mysql_fetch_assoc($view)) {
 
  $u_best = ($a['best'] == 1) ? '<b>Лучший</b>' : '';
  $who = ($a['best'] == 0) ? '<a href="garem?set_1&amp;u='.$a['usid'].'">[выб.]</a>' 
                              : 
							 '<a href="garem?set_0&amp;u='.$a['usid'].'">[убр.]</a>';
 
  echo '<a href="my/privat?ot='.$a['usid'].'"><img src="r.png" alt=""/></a>
        <a href="garem?delete&amp;x='.$a['usid'].'"><img src="d.png" alt=""/></a>
		' . nik($a['usid']) . ' ' . $a['price'] . 'р. ' . $u_best . '<br/>
		<a href="garem?go=cena&amp;p='.$a['usid'].'">[цена]</a>
		' . $who . '
		<br/>* * *<br/>';
 }
} else {
echo 'Гарем пуст...<br/>';
}

echo '<a href="garem?go=buy"><b>Пополнить гарем</b></a><br/>';

for($i = 1; $i <= $all; $i++)
{
echo $pr=(($i == 1 || $i == $all || abs($i-$page) < 2) ? ($i == $page ? " [$i] " : ' <b><a href="garem?page='.$i.'">'.$i.'</a></b>') : (($pr == ' ... ' || $pr == '')? '' : ' ... '));
}
break;

case cena:
$p = (int)$_REQUEST['p'];

$t = mysql_query("SELECT * FROM garem WHERE usid = '$p' AND id = '$user[id]'");
if (mysql_num_rows($t) == false) {
echo 'Такого пользователя не существует!<br/>';
foot();
exit();
}

if (isset($_POST['add_price'])) {
$price = (int)$_POST['price'];

 if (empty($price)) {
 echo 'Не указана цена!<br/>';
 } elseif ($price > 5000) {
 echo 'Слишком большая сумма. Макс. 5000<br/>';
 } else {
 mysql_query("UPDATE garem SET price = '$price' WHERE usid = '$p' AND id = '$user[id]'");
 echo 'Цена установлена!<br/>';
 }
}
$t_price = mysql_fetch_assoc($t);
echo '<form method="POST" action="garem?go=cena">
      #Введи цену для ' . user_inf($p, 'user') . '<br/>
	  <input type="text" size="5" maxlength="5" name="price" value="' . $t_price['price'] . '"/>
	  <br/>
	  <input type="hidden" name="p" value="' . $p . '"/>
	  <input type="submit" name="add_price" value="Установить цену"/>
	  </form>';
break;

case buy:
if (isset($_REQUEST['search'])) {
$nick = (int)$_REQUEST['nick'];

$t_cena = mysql_query("SELECT id, price, best FROM garem WHERE usid = '$nick'");
$cena_t = mysql_fetch_array($t_cena);

 if (empty($nick)) {
 echo 'Не введен ID пользователя!<br/>';
 } elseif (!user($nick)) {
 echo 'Пользователь не найден!<br/>';
 } elseif ($user['rur'] < 500) {
 echo 'Недостаточно средств! Цена пользователя 500р.<br/>';
 } elseif (user_inf($nick, 'sex') == $user['sex']) {
 echo 'Покупать можна только пользователей противоположного пола!<br/>';
 } elseif (mysql_num_rows($t_cena) != false && $cena_t[2] != 1) {
 echo 'Этот пользователь уже куплен!<br/>
       Хозяин: ' . nik($cena_t[0]) . ', цена: ' . $cena_t[1] . 'р.<br/>
	   <a href="garem?go=perekup&amp;p='.$cena_t[0].'"><b>Перекупить</b></a><br/><br/>';
 } elseif (mysql_num_rows($t_cena) != false && $cena_t[2] == 1) {
 echo 'Этот пользователь является лучшим в гареме ' . nik($cena_t[0]) . '! Его нельзя купить.<br/>';
 } else {
 mysql_query("INSERT INTO garem SET id = '$user[id]', usid = '$nick'");
 mysql_query("UPDATE users SET rur = rur - '500' WHERE id = '$user[id]'");
 header('Location: garem?ok_buy');
 }
}

echo '<form method="POST" action="garem?go=buy">
      #Ввести ID пользователя:<br/>
	  <input type="text" name="nick"/>
	  <br/>
	  <input type="submit" name="search" value="Купить"/>
	  </form>';
break;

case perekup:
$p = (int)$_GET['p'];

$test = mysql_query("SELECT * FROM garem WHERE usid = '$p'");
$t_test = mysql_fetch_assoc($test);
if (mysql_num_rows($test) == false) {
echo 'Этот пользователь еще ни кем не куплен!<br/>';
} elseif ($t_test['best'] == 1) {
echo 'Этот пользователь является лучшим! Его нельзя перекупать!<br/>';
} elseif ($user['rur'] < $t_test['price']) {
echo 'Недостаточно средств!<br/>';
} else {
$sql_1 = "DELETE FROM garem WHERE usid = '$p' AND id = '" . (int)$t_test['id'] . "'";
$sql_2 = "INSERT INTO garem SET id = '$user[id]', usid = '$p'";
mysql_query("UPDATE users SET rur = rur - '" . (int)$t_test['price'] . "' WHERE id = '$user[id]'");
 if (mysql_query($sql_1) && mysql_query($sql_2)) {
 header('Location: garem?perekup');
 }
}
break;

case view:
$nk = (int)$_GET['nk'];
if (!user($nk)) {
echo 'Пользователь не найден!<br/>';
} else {
$page = isset($_GET['page']) ? abs(intval($_GET['page'])) : 1;
$start = ($page - 1) * 5;
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `garem` WHERE `id` = '$nk'"), 0);

$all = ceil($all/5);
$all = $all > 5 ? 5 : $all;

$view = mysql_query("SELECT * FROM `garem` WHERE `id` = '$nk' ORDER BY `id` DESC LIMIT ".abs(intval($start)).", 5");

if (mysql_affected_rows() != false) {
 while($a = mysql_fetch_assoc($view)) {
 
  $u_best = ($a['best'] == 1) ? '<b>Лучший</b>' : '';
 
  echo nik($a['usid']) . ' ' . $a['price'] . 'р. ' . $u_best . '<br/>
	   <a href="garem?go=perekup&amp;p='.$a['usid'].'">[Перекупить]</a>
	   <br/>* * *<br/>';
 }
} else {
echo 'Гарем пользователя пуст...<br/>';
}

for($i = 1; $i <= $all; $i++)
{
echo $pr=(($i == 1 || $i == $all || abs($i-$page) < 2) ? ($i == $page ? " [$i] " : ' <b><a href="garem?go=view&amp;nk='.$nk.'page='.$i.'">'.$i.'</a></b>') : (($pr == ' ... ' || $pr == '')? '' : ' ... '));
}
}
break;

}
echo gb . '<a href="enter?">Прихожая</a>' . div;
foot();
?>